[workspace]
resolver = "3"
members = ["common", "ground", "flight"]

[workspace.dependencies]
anyhow = "1.0.100"
api = { git = "https://gitea.sergeysav.com/sergeysav/telemetry_visualization.git", rev = "44862f65d2388e19b70a03409f1c16195e8f9342" }
chrono = { version = "0.4.42", features = ["serde"] }
crc = "3.4.0"
ctrlc = "3.5.1"
derive_more = "2.1.1"
embedded-hal = "1.0.0"
embedded-hal-bus = "0.3.0"
embedded-hal-mock = "0.11.1"
fern = { version = "0.7.1", features = ["colored"] }
futures = "0.3.31"
itertools = "0.14.0"
log = { version = "0.4.29" }
nautilus_common = { path = "./common" }
postcard = { version = "1.1.3", default-features = false, features = ["alloc"] }
rpi-pal = "0.22.2"
serde = { version = "1.0.228", features = ["derive"], default-features = false }
thiserror = "2.0.17"
tokio = { version = "1.48.0" }
tokio-util = "0.7.17"
env_logger = "0.11.8"
good_lp = { version = "1.14.2", default-features = false }

[profile.dev.package.good_lp]
opt-level = 3
